code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
# Copyright © 2018 Feature.su. All rights reserved.
# Licensed under the Apache License, Version 2.0
if [ -z $1 ]
then
echo "Usage for create certificate: sh self-signed-ssl.sh domain.name"
else
openssl req -x509 -nodes -newkey rsa:2048 -days 365 -keyout /tmp/$1.key -out /tmp/$1.crt -subj /C=/ST=/L=/O=/CN=$1
cat /tmp... | faew/linux.feature | script/centos7/self-signed-ssl.sh | Shell | apache-2.0 | 434 |
#!/bin/bash
# Author: yeho <lj2007331 AT gmail.com>
# BLOG: https://linuxeye.com
#
# Notes: OneinStack for CentOS/RedHat 6+ Debian 8+ and Ubuntu 14+
#
# Project home page:
# https://oneinstack.com
# https://github.com/oneinstack/oneinstack
Install_JDK18() {
pushd ${oneinstack_dir}/src > /dev/null
JDK... | lj2007331/oneinstack | include/jdk-1.8.sh | Shell | apache-2.0 | 1,906 |
wget https://s3-us-west-2.amazonaws.com/ray-wheels/releases/$RAY_VERSION/$RAY_HASH/ray-$RAY_VERSION-cp35-cp35m-manylinux1_x86_64.whl
wget https://s3-us-west-2.amazonaws.com/ray-wheels/releases/$RAY_VERSION/$RAY_HASH/ray-$RAY_VERSION-cp36-cp36m-manylinux1_x86_64.whl
wget https://s3-us-west-2.amazonaws.com/ray-wheels/rel... | stephanie-wang/ray | doc/dev/download_wheels.sh | Shell | apache-2.0 | 798 |
$YARN_HOME/sbin/yarn-daemon.sh stop nodemanager
| yongkianon/test | hadoop/bin/stopNM.sh | Shell | apache-2.0 | 48 |
#!/bin/bash
is_controller=%(is_controller)s
is_ceph=%(is_ceph)s
is_cinder=%(is_cinder)s
is_mongo=%(is_mongo)s
install_pkg {
pkg=$1
cd %(dst_dir)s/upgrade
tar -xzf $pkg
dir=${pkg::-7}
cd $dir
python setup.py build
python setup.py install
}
controller() {
PKGS=%(dst_dir)s/upgrade/*
... | xinwu/bosi-1 | etc/t5/bash_template/ubuntu_14_upgrade.sh | Shell | apache-2.0 | 1,309 |
#!/bin/bash
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | GoogleCloudPlatform/anthos-security-blueprints | protecting-api-endpoints/run.sh | Shell | apache-2.0 | 6,102 |
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use ... | ryanobjc/hadoop-cloudera | bin/hadoop-config.sh | Shell | apache-2.0 | 4,023 |
#!/bin/bash
if [ $# -lt 2 ] ; then
echo -e "\e[1;33m!!!USEAGE: check_status.sh [IP_ADDR] [PASSWORD]\e[0m"
exit 1
fi
./sync_cmd.sh $1 $2 "grep -r 'application_name' /var/vcap/data/dea_next/db/instances.json"
| tesir/extend_dea | list_apps.sh | Shell | artistic-2.0 | 217 |
#!/bin/bash
# Just checks, if dropbox or owncloud are running.
# I created that script because I was online a lot via smartphone AP and wanted to minimize background traffic
if [ -z "$(pgrep dropbox)" ]; then
echo "No running dropbox instance found"
else
echo "Dropbox is running"
killall dropbox
echo "Dropbox kil... | saschalalala/someScripts | mobile.sh | Shell | bsd-2-clause | 488 |
[[ ! -d prod~ ]] && mkdir prod~
ncftpget -R -u voilokov -p `pass gifts` ftp.voilokov.com prod~/ '/public_html/gifts/*.*'
diff -q src/ prod~/
| serge-v/gifts | bin/compare.sh | Shell | bsd-2-clause | 141 |
#!/bin/bash -ex
export DJANGO_SETTINGS_MODULE=standup.settings
export DATABASE_URL=sqlite://
export SECRET_KEY=itsasekrit
export OIDC_RP_CLIENT_ID=ou812
export OIDC_RP_CLIENT_SECRET=secret_ou812
export OIDC_OP_DOMAIN=example.com
flake8
py.test $@
| mozilla/standup | bin/run-tests.sh | Shell | bsd-3-clause | 250 |
#!/bin/bash
mkdir build && cd build
if [ -z "$COVERALLS" ]
then
cmake -DCOVERALLS=On -DCMAKE_BUILD_TYPE=Debug ..
else
cmake -DCMAKE_BUILD_TYPE=Debug ..
fi
cmake --build .
cd ../
./build/test
| pierreguillot/zpd | config/script.sh | Shell | bsd-3-clause | 192 |
#!/bin/sh
rm output/*
./optical_flow_software ../datasets/current/frame1.png ../datasets/current/frame2.png ../datasets/current/frame3.png ../datasets/current/frame4.png ../datasets/current/frame5.png output/out.flo ../datasets/current/ref.flo
../dependencies/sintel_flow_code/C/color_flow output/out.flo output/out.png... | cornell-zhang/datuner | flows/opticalflow_hls/run.sh | Shell | bsd-3-clause | 321 |
#!/bin/sh
java -cp ".:libs/*" BatchUploader
| jcline/Batch-Queuer | run.sh | Shell | bsd-3-clause | 44 |
#!/bin/bash
# TODO double check this, it's logically different from original php code.
# Two path checks would both always run in php. In this code the check
# for apc.so only happens if the check for php fails. Is that ok?
RETCODE=$(fw_exists ${IROOT}/php.installed)
[ ! "$RETCODE" == 0 ] || { \
echo "Moving PHP ... | kellabyte/FrameworkBenchmarks | toolset/setup/linux/languages/php.sh | Shell | bsd-3-clause | 2,364 |
#!/bin/bash
# run preprocessing of the data
R --vanilla < ../src/fat.rcim.preproc.R
# run rcim in all step sizes
# each script loops through the three window sizes
R --vanilla < ../src/fat.rcim_s0.R
R --vanilla < ../src/fat.rcim_s1.R
R --vanilla < ../src/fat.rcim_s05.R
# summarizing the individual runs
R --vanilla <... | RodrigoGM/Mmu2QTL | analysis/fat.rcim.analysis.sh | Shell | bsd-3-clause | 456 |
#!/bin/bash
# update your current image from the default repo
# This is will ensure that the remaining package management installs will work!
sudo apt-get -y update
# install to allow x11 fowarding of gui interfaces
sudo apt-get -y install xauth x11-apps libxt-dev
# install nano xemacs emacs editors
sudo apt-get -... | chrisbpawsey/maali | install_scripts/Install_maali_bio_ubuntu.sh | Shell | bsd-3-clause | 983 |
#!/bin/sh
PACKAGE=lighttpd
VERSION=1.4.37
NAME=lighttpd-1.4.37
DISTDIR="/home/jan/wwwroot/servers/www.lighttpd.net/pages/download/"
RPMS="/home/jan/rpmbuild/RPMS/i386/${NAME}-1.i386.rpm \
/home/jan/rpmbuild/SRPMS/${NAME}-1.src.rpm"
FILES="${RPMS} ${NAME}.tar.gz \
NEWS.html \
ChangeLog \
release-news.${VERSION}.txt... | vadimsu/lighttpd_ported | distribute.sh | Shell | bsd-3-clause | 1,670 |
#!/bin/bash
BASE_ENDPOINT="$1"
SWAGGER_ENDPOINT="$2"
BASELINE_REP_NAME="$3"
API_REP_NAME="$4"
REPORT_DEST_DIR="$5"
docker pull owasp/zap2docker-weekly
## run the baseline scan
if [[ $6 == '--baseline=true' ]]; then
echo 'Running the baseline test'
docker run -v $(pwd):/zap/wrk/:rw -t owasp/zap2docker-weekly za... | nearform/labs-authorization | packages/udaru-hapi-server/security/penetration/runner.sh | Shell | mit | 1,532 |
#!/bin/bash
# -*- coding: utf-8 -*-
# Configuration overloads for the vps module. Basically it offers a more
# sofisticated way to configure $vps_ip, $vps_intranet and $vps_host_ip, which
# you might want to set yourself in your script that calls `conf() vps`.
# Prompts the admin for the host ip to use.
# Example conf... | jpic/bashworks | vps/conf.sh | Shell | mit | 5,149 |
###############
## functions ##
###############
man() {
env \
LESS_TERMCAP_mb=$(printf "\e[1;31m") \
LESS_TERMCAP_md=$(printf "\e[1;31m") \
LESS_TERMCAP_me=$(printf "\e[0m") \
LESS_TERMCAP_se=$(printf "\e[0m") \
LESS_TERMCAP_so=$(printf "\e[1;44;33m") \
LESS_TERMCAP_... | T6705/dotfiles | .zsh/functions.zsh | Shell | mit | 26,166 |
#!/bin/bash
# Script Name: AtoMiC Organizr Menu
SUBCHOICE=$(whiptail --title "AtoMiC Toolkit - Manage Organizr" \
--menu "What would you like to do?" --backtitle "$BACKTITLE" \
--fb --cancel-button "Exit" $LINES $COLUMNS "$NETLINES" \
"Install" "Install Organizr" \
"Uninstall" "Uninstall Organizr" \
"Manual Update" "M... | htpcBeginner/AtoMiC-ToolKit | organizr/organizr-menu.sh | Shell | mit | 1,105 |
#!/bin/sh
# base16-shell (https://github.com/chriskempson/base16-shell)
# Base16 Shell template by Chris Kempson (http://chriskempson.com)
# Summerfruit Dark scheme by Christopher Corley (http://christop.club/)
color00="15/15/15" # Base 00 - Black
color01="FF/00/86" # Base 08 - Red
color02="00/C9/18" # Base 0B - Green... | tulhan/.files | config/base16-shell/scripts/base16-summerfruit-dark.sh | Shell | cc0-1.0 | 3,972 |
#!/bin/bash -l
model=$1
outpath=$2
name=$3
ml R/3.5.0
# Get script path
if [ -n $SLURM_JOB_ID ]; then
toolpath=$(scontrol show job $SLURM_JOB_ID | awk -F= '/Command=/{print $2}' | cut -f1 -d' ')
toolpath=`dirname $toolpath`
else
toolpath=$(dirname "$0")
fi
# Run R
R -e "source('${toolpath}/plot_csvs_simula... | babelomics/pvs | csvs-utils/outlier_detection/launch_csvs_get_outliers.sh | Shell | gpl-2.0 | 440 |
#!/bin/sh
#desc: Extract or compress initrd
# Variables
SCRIPTSDIR="scripts"
. $SCRIPTSDIR/sdk_variables.sh
# Check
if ! test -f $INITRDIMG; then
echo "ERROR: initrd image don't exist"
exit 1
fi
case $1 in
extract )
if test -d $INITRDDIR; then
echo "WARN: initrd is already extracted"
else
# Extracting ini... | opalenzuela/opendomo | scripts/build_initrd.sh | Shell | gpl-3.0 | 3,947 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1A/logs/w-05/20161025T012206+0000/00/00/mediancpu_0_ID0000004.sh | Shell | gpl-3.0 | 1,237 |
#!/bin/bash
PROCNAME='nginx'
DAEMON='/usr/sbin/nginx'
DAEMON_ARGS=( -g 'daemon off;' )
if [ -z "$1" ]; then
set -- "${DAEMON}" "${DAEMON_ARGS[@]}"
elif [ "${1:0:1}" = '-' ]; then
set -- "${DAEMON}" "$@"
elif [ "${1}" = "${PROCNAME}" ]; then
shift
if [ -n "${1}" ]; then
set -- "${DAEMON}" "$@"
else
s... | spatialy/docker-images | nginx/docker-entrypoint.sh | Shell | gpl-3.0 | 552 |
#!/bin/bash
#
# install.sh -- install script for the binary distribution
#
# Copyright 2013,2014 James Fidell (james@openastroproject.org)
#
# License:
#
# This file is part of the Open Astro Project.
#
# The Open Astro Project is free software: you can redistribute it and/or
# modify it under the terms of the GNU Gene... | openastroproject/openastro | bin/install-binaries.sh | Shell | gpl-3.0 | 1,863 |
#!/bin/sh
# build-swig-wrapper-classes.sh
#
# For each scripting language liblldb supports, we need to create the
# appropriate Script Bridge wrapper classes for that language so that
# users can call Script Bridge functions from within the script interpreter.
#
# We use SWIG to help create the appropriate wrapper c... | s20121035/rk3288_android5.1_repo | external/lldb/scripts/build-swig-wrapper-classes.sh | Shell | gpl-3.0 | 3,454 |
#!/bin/bash
# sample script for testing the basic features of nwpconf package
# setup common to user scripts
# basic variables
export NWPCONFDIR=$PWD/conf
export NWPCONFBINDIR=$PWD/../bin
export NWPCONF=production/dailymodelrun/forecast
# source the main library module
set -e
. $NWPCONFBINDIR/nwpconf.sh
# end of setup... | ARPA-SIMC/nwpconf | examples/testenv.sh | Shell | gpl-3.0 | 380 |
util_dir="$(dirname $(readlink -f $BASH_SOURCE))"
hookit_dir="$(readlink -f ${util_dir}/../../src)"
payloads_dir=$(readlink -f ${util_dir}/../payloads)
payload() {
cat ${payloads_dir}/${1}.json
}
run_hook() {
container=$1
hook=$2
payload=$3
docker exec \
$container \
/opt/nanobox/hooks/$hook "$pay... | pagodabox/nanobox-docker-redis | test/util/docker.sh | Shell | mpl-2.0 | 869 |
#!/bin/bash
CHANGED_FILES=$(git diff-tree --no-commit-id --name-only -r HEAD)
CHANGES_IN_STORYBOOK="client/.storybook/"
CHANGES_IN_APP_COMPONENTS="client/app/components/"
CHANGES_IN_APP_STORIES="client/app/stories/"
CHANGES_IN_APP_STYLES="client/app/styles/"
CHANGES_IN_PACKAGE_JSON="client/package.json"
CHANGES_IN_RA... | julianguyen/ifme | client/.storybook/deploy.sh | Shell | agpl-3.0 | 1,021 |
#!/usr/bin/env bash
# Copyright 2017 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless... | taknevski/tensorflow-xsmm | tensorflow/tools/ci_build/linux/cpu/run_py3_contrib.sh | Shell | apache-2.0 | 1,259 |
#!/bin/bash
vips_site=https://github.com/jcupitt/libvips/releases/download
version=$VIPS_VERSION_MAJOR.$VIPS_VERSION_MINOR.$VIPS_VERSION_MICRO
set -e
# do we already have the correct vips built? early exit if yes
# we could check the configure params as well I guess
if [ -d "$HOME/vips/bin" ]; then
installed_versi... | drthomas21/WordPress_Tutorial | wordpress_htdocs/services/image-service/vendor/jcupitt/vips/install-vips.sh | Shell | apache-2.0 | 811 |
#!/bin/bash
set -euo pipefail
# something something folders
mkdir -p /var/lib/mysql
mkdir -p /var/lib/nginx
mkdir -p /var/log
mkdir -p /var/log/mysql
mkdir -p /var/log/nginx
# Wipe /var/run, since pidfiles and socket files from previous launches should go away
# TODO someday: I'd prefer a tmpfs for these.
rm -rf /var/r... | ndarilek/vagrant-spk | stacks/uwsgi/launcher.sh | Shell | apache-2.0 | 1,210 |
mpicc -o application-MPI main.c
mpirun -hostfile my_hostfile -np 8 application-MPI
| javierip/parallel-code-examples | 05-clusters/01-mpi/05-hello-MPI-cluster/run.sh | Shell | apache-2.0 | 85 |
#!/bin/bash
set -e
usage() {
cat << EOF
Usage: ./run-job.sh -m MainClass [-c Twitter consumer key] [-k Twitter secret key] [-t Twitter access token] [-s Twitter acess token secret] [-d duration(s)] [-v connector Scala version]
-m Main class of the job
-c Twitter consumer key
-k Twitter secret key
-t Twi... | gustavonalle/infinispan-spark | examples/twitter/run-job.sh | Shell | apache-2.0 | 2,060 |
#!/usr/bin/env bash
usage()
{
echo "Runs our integration suite on Linux"
echo "usage: cibuild.sh [options]"
echo ""
echo "Options"
echo " --debug Build Debug (default)"
echo " --release Build Release"
echo " --nocache Force download of toolsets"
}
BUILD_CONFIGURATION=Debug
USE_... | antonssonj/roslyn | cibuild.sh | Shell | apache-2.0 | 1,914 |
cat Resizable.js MainMenu.js LevelSelect.js GameControl.js Main.js > game.js
| kaydensigh/bib | ivank_0_8/game/join.sh | Shell | apache-2.0 | 77 |
TENANT=$1
HOSTNAME="dba-postgres-prod-32.ist.berkeley.edu port=5307 sslmode=prefer"
#HOSTNAME="dba-postgres-dev-32.ist.berkeley.edu port=5107 sslmode=prefer"
USERNAME="nuxeo_${TENANT}"
DATABASE="${TENANT}_domain_${TENANT}"
CONNECTSTRING="host=$HOSTNAME dbname=$DATABASE password=xxxx"
time psql -U $USERNAME -d "$CONNECT... | itsdavidbaxter/Tools | scripts/pahma/hierarchies/refresh.sh | Shell | apache-2.0 | 659 |
#!/bin/sh
# genymotion.sh
# AnimatedTableView
#
# Created by indianic on 20/11/13.
#
rm -r build/android
ti build -p android -b
echo 'Installing Project to Device'
/Volumes/DATA/ANDROID_SN/android-sdk-mac_86/platform-tools/adb install -r build/android/bin/app.apk
exit | jayeshIT/AlloyTwitterLogin_old | genymotion.sh | Shell | apache-2.0 | 276 |
#!/bin/bash
# Copyright 2016 Crunchy Data Solutions, Inc.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | CrunchyData/crunchy-proxy | scripts/docker/run-pgpool.sh | Shell | apache-2.0 | 1,009 |
#!/bin/bash
. "$( dirname "${BASH_SOURCE[0]}" )/setenv.sh"
if [ -f "$JSVC_PID_FILE" ]; then
echo "Daemon is already running. ($( cat "$JSVC_PID_FILE" ))" >&2
exit 1
fi
echo 'Starting Spring Boot app in Foreground.'
$JSVC_EXECUTABLE -server -cp "$JAVA_CLASSPATH" -user "$JSVC_USER" \
-nodetach -outfile '&1' -errfi... | jokoframework/porandu_backend | src/main/dist/bin/run.sh | Shell | apache-2.0 | 398 |
#!/bin/bash
# setup operations tenant and user
source ~vagrant/admin-openrc.sh labstack
openstack user create --password labstack operator --or-show
operator_user_id=$(openstack user list | awk '/operator/ {print $2}')
admin_role_id=$(openstack role list | awk '/admin/ {print $2}')
admin_project_id=$(openstack proje... | tpouyer/stackinabox | scripts/operations/init.sh | Shell | apache-2.0 | 3,493 |
#!/bin/bash
MAJOR_VERSION=0.20
SRC_PKG=hadoop-$MAJOR_VERSION-mapreduce
namenode_user=hdfs
secondarynamenode_user=hdfs
datanode_user=hdfs
jobtracker_user=mapred
tasktracker_user=mapred
for node in namenode secondarynamenode jobtracker tasktracker datanode ; do
service_pkgdir=debian/$SRC_PKG-$node
debdir=$serv... | cloudera/cdh-package | bigtop-packages/src/deb/mr1/install_init_scripts.sh | Shell | apache-2.0 | 1,331 |
#!/bin/sh
set -eux
if ! command -v brew >/dev/null; then
echo "Homebrew missing, attempting to install"
/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" < /dev/null
fi
brew update
brew install \
libarchive \
libsodium \
node \
openssl \
pkg-config \
z... | georgemarshall/habitat | support/mac/install_dev_0_mac_latest.sh | Shell | apache-2.0 | 326 |
java -Djava.library.path=lib/sqlite4java-282 -cp conf:$1 edu.washington.escience.myria.parallel.Worker --workingDir $2
| jamesmarva/myria | startWorker.sh | Shell | bsd-3-clause | 119 |
# Create the docs and push them to github pages
# ---------------------------------------------
conda install --yes sphinx numpydoc openmm networkx matplotlib ipython-notebook
python setup.py develop
cd docs/tutorials
ipython nbconvert --to html *.ipynb
cd ..
make html
source update_gh_pages.sh
| iModels/simgen | simgen/devtools/travis-ci/create_docs.sh | Shell | mit | 299 |
#!/bin/sh
set -e
# Perform all actions as user 'postgres'
export PGUSER=postgres
# Add pgRouting Functions to the database
psql --dbname="$POSTGRES_DB" <<EOSQL
CREATE EXTENSION postgis;
CREATE EXTENSION pgrouting;
EOSQL
| Starefossen/docker-pgrouting | 9.6-2.3-2.3/initdb-pgrouting.sh | Shell | mit | 222 |
#!/bin/sh
# script_test_15a.sh -- test for .bss placement.
# Copyright (C) 2016-2020 Free Software Foundation, Inc.
# Written by Cary Coutant <ccoutant@gmail.com>.
# This file is part of gold.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public Licen... | mattstock/binutils-bexkat1 | gold/testsuite/script_test_15a.sh | Shell | gpl-2.0 | 1,267 |
#!/bin/sh
#set -x
verify_not_running() {
while read j
do
case $j in "Name="*|"Exec="*)
name="${j#Name=}"
name="${name#Exec=}"
name="${name#sh -c }"
name="${name//\'/}"
name="${name//\"/}"
name="${name%% *}"
case $name in echo|sleep) #add more
return 0
break
esac
if pidof "$name"... | rserwin1/woof-CE | woof-code/rootfs-skeleton/bin/xdg_autostart.sh | Shell | gpl-2.0 | 1,010 |
#! /usr/bin/env bash
# _________________________________________________________________________
# /\ \
# \_| ___ __ _ _ |
# | |_ _|_ __ / _| ___ _ __ _ __ ___ __ _| |_(_) ___ ... | sholaoyedeji/codemiscs | cmds/imgs/imgs.in.sh | Shell | gpl-3.0 | 9,344 |
#!/bin/sh
# stop on failure
set -e
BACKEND="${1}"
if [ -z "${WEBOOB_WORKDIR}" ]; then
# use the old workdir by default
WEBOOB_WORKDIR="${HOME}/.weboob"
# but if we can find a valid xdg workdir, switch to it
[ "${XDG_CONFIG_HOME}" != "" ] || XDG_CONFIG_HOME="${HOME}/.config"
[ -d "${XDG_CONFIG_HOME... | blckshrk/Weboob | tools/run_tests.sh | Shell | agpl-3.0 | 3,029 |
#!/bin/bash
docker run -i \
--net=son-sp \
--network-alias=son-gtklic \
-e DATABASE_HOST=son-postgres \
-e DATABASE_PORT=5432 \
-e POSTGRES_PASSWORD=sonata \
-e POSTGRES_USER=sonatatest \
-e POSTGRES_DB=gatekeeper \
--rm=true \
-v "$(pwd)/spec/reports/son-gtklic:/code/log" \
registry.sonata-nfv.eu:5000/son-gtklic pytho... | sonata-nfv/son-gkeeper | tests/unit/gtklic.sh | Shell | apache-2.0 | 330 |
#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); y... | sadlil/archiva | archiva-modules/archiva-web/archiva-webapp/src/test/resources/generate-users.sh | Shell | apache-2.0 | 2,126 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | ojarjur/kubernetes | cluster/gce/trusty/configure.sh | Shell | apache-2.0 | 7,112 |
#!/bin/bash
FN="HsAgilentDesign026652.db_3.2.3.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/HsAgilentDesign026652.db_3.2.3.tar.gz"
"https://bioarchive.galaxyproject.org/HsAgilentDesign026652.db_3.2.3.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hsagilentdesi... | Luobiny/bioconda-recipes | recipes/bioconductor-hsagilentdesign026652.db/post-link.sh | Shell | mit | 1,510 |
start_dir=$(pwd)
if [ $# -gt 0 ]; then
cd $1
else
echo "[ERROR] Usage: $0 <Working directory>"
return
fi
wget http://apache.mirrors.pair.com/storm/apache-storm-0.9.4/apache-storm-0.9.4.tar.gz
tar -xzf apache-storm-0.9.4.tar.gz
rm apache-storm-0.9.4.tar.gz
#cd storm-0.9.4
cd $start_dir | preems/realtime-event-processing | deploy/strategy_1/storm_check_install.sh | Shell | mit | 300 |
#!/bin/bash
FN="pd.ht.hg.u133.plus.pm_3.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/pd.ht.hg.u133.plus.pm_3.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/pd.ht.hg.u133.plus.pm_3.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.ht.hg.u133.plus.... | Luobiny/bioconda-recipes | recipes/bioconductor-pd.ht.hg.u133.plus.pm/post-link.sh | Shell | mit | 1,494 |
#!/bin/sh -e
#
# Copyright (C) 2010, 2012 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE ... | phra/802_21 | myODTONE/app/dhcp_usr/libs/bind/bind-9.8.4-P1/bin/tests/virtual-time/autosign-zsk/ns1/sign.sh | Shell | gpl-2.0 | 1,396 |
#!/bin/sh
if test -f "$1" ; then
cat $1 | tr -d '\n'
else
(git describe --tags --always 2>/dev/null || git describe --tags 2>/dev/null) | tr -d '\n'
fi
| garlik/4store | version.sh | Shell | gpl-3.0 | 155 |
test_number=02
description="middle field"
expected=$test_dir/test_$test_number.expected
input=$test_dir/test_$test_number.in
cat > $input << "END_INPUT"
f0 f1 f2
00 01 02
10 11 12
20 21 22
END_INPUT
cat > $expected << "END_EXPECT"
f0 f2
00 02
10 12
20 22
END_EXPECT
subtest=1
output=$test_dir/test_$test_number.$subt... | johan/crush-tools | src/cutfield/test/test_02.sh | Shell | apache-2.0 | 934 |
test_number=00
description="formula using indexes"
infile="$test_dir/test.txt"
outfile="$test_dir/test_$test_number.actual"
expected="$test_dir/test_$test_number.expected"
$bin -d ';' -e '[3] / [2]' -b '0.0' $infile > "$outfile"
if [ $? -ne 0 ] ||
[ "`diff -q $outfile $expected`" ]; then
test_status $test_numbe... | dbushong/crush-tools | src/calcfield/test/test_00.sh | Shell | apache-2.0 | 417 |
#!/bin/sh
echo Outputting Raw HTML
mkdir -p out/raw
cp -R images out/raw
sed -e 's/\$images\$/images\/tutorial\//g' tutorial.md > out/raw/tutorial.md
pandoc -f markdown -t html -s -S --toc out/raw/tutorial.md > out/raw/tutorial.html
| njbartlett/bndtools | bndtools.manual/raw.sh | Shell | epl-1.0 | 235 |
#!/bin/sh
type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh
dev="$1"
devenc=$(str_replace "$1" '/' '\2f')
[ -e /tmp/dmraid.$devenc ] && exit 0
>/tmp/dmraid.$devenc
DM_RAIDS=$(getargs rd.dm.uuid -d rd_DM_UUID=)
if [ -n "$DM_RAIDS" ] || getargbool 0 rd.auto; then
DM_CLEANUP="no"
# run dmraid if udev has... | Calrama/dracut | modules.d/90dmraid/dmraid.sh | Shell | gpl-2.0 | 1,324 |
#!/usr/bin/env bash
# Copyright 2015 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless... | ZhangXinNan/tensorflow | tensorflow/tools/ci_build/ci_build.sh | Shell | apache-2.0 | 6,503 |
#!/bin/sh
# Copyright (c) 2012-2016 The Bitcoin Core developers
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
export LC_ALL=C
if [ $# -gt 1 ]; then
cd "$2" || exit 1
fi
if [ $# -gt 0 ]; then
FILE="$1"
shift
if [ ... | nikkitan/bitcoin | share/genbuild.sh | Shell | mit | 1,635 |
#!/bin/sh
# Confirm that copying a directory into itself gets a proper diagnostic.
# Copyright (C) 2001-2013 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, eith... | mmayer/coreutils | tests/cp/into-self.sh | Shell | gpl-3.0 | 1,696 |
#!/bin/sh
#
# This script is used to pull down updates from github
#+ additionally call the deployment scripts if operating on the generic cluster
#
# For legacy reasons this script is symlinked to the project root during install
#+ This can (should) change once we have migrated off of the generic cluster
#+ Ideally th... | wagnerand/wiki.mozilla.org | tools/update.sh | Shell | mpl-2.0 | 1,632 |
#!/usr/bin/env bash
# Copyright 2016 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required b... | sg00dwin/origin | vendor/github.com/google/cadvisor/build/jenkins_e2e.sh | Shell | apache-2.0 | 2,218 |
#!/bin/sh
# this assumes webserver is running on port 8080
echo "Deploy everything first"
java org.apache.axis.client.AdminClient deploy.wsdd $*
echo "These next 3 should work..."
java samples.stock.GetQuote -uuser1 -wpass1 XXX $*
java samples.stock.GetQuote -uuser2 XXX $*
java samples.stock.GetInfo -uuser3 -wpass3 I... | hugosato/apache-axis | samples/stock/testit.sh | Shell | apache-2.0 | 737 |
#!/usr/bin/env bash
set -euxo pipefail
export PATH=/opt/ghc/$GHCVER/bin:/opt/cabal/$CABALVER/bin:$HOME/.cabal/bin:$PATH
ghc --version
cabal --version
if [ "$CABALVER" = "1.18" ]
then
TEST=--enable-tests
else
TEST=--run-tests
fi
if [ "$BACKEND" = "none" ]
then
cabal install --force-reinstalls $TEST $(cat... | jasonzoladz/persistent | travis/run.sh | Shell | mit | 1,356 |
#!/bin/bash
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | thinkerou/grpc | tools/run_tests/dockerize/build_interop_image.sh | Shell | apache-2.0 | 4,632 |
#!/bin/bash
set -x -u
SRC=../../../data
DST=$1
# Remove old links
rm -rf $DST
mkdir $DST
files=(copyright.html resources-mdpi_clear resources-hdpi_clear resources-xhdpi_clear resources-xxhdpi_clear categories.txt classificator.txt
types.txt fonts_blacklist.txt fonts_whitelist.txt languages.txt unicode_blocks.... | Zverik/omim | tizen/scripts/update_assets_for_version.sh | Shell | apache-2.0 | 622 |
#!/bin/sh
DFSAN_DIR=$(dirname "$0")/../
DFSAN_CUSTOM_TESTS=${DFSAN_DIR}/../../test/dfsan/custom.cpp
DFSAN_CUSTOM_WRAPPERS=${DFSAN_DIR}/dfsan_custom.cpp
DFSAN_ABI_LIST=${DFSAN_DIR}/done_abilist.txt
DIFFOUT=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
ERRORLOG=$(mktemp -q /tmp/tmp.XXXXXXXXXX)
DIFF_A=$(mktemp -q /tmp/tmp.XXXXXXXXXX... | endlessm/chromium-browser | third_party/llvm/compiler-rt/lib/dfsan/scripts/check_custom_wrappers.sh | Shell | bsd-3-clause | 1,678 |
# Check for updates on initial load...
if [ "$DISABLE_AUTO_UPDATE" != "true" ]; then
/usr/bin/env ZSH=$ZSH DISABLE_UPDATE_PROMPT=$DISABLE_UPDATE_PROMPT zsh $ZSH/tools/check_for_upgrade.sh
fi
# Initializes Oh My Zsh
# add a function path
fpath=($ZSH/functions $ZSH/completions $fpath)
# Load all of the config files ... | tsprlng/oh-my-zsh | oh-my-zsh.sh | Shell | mit | 2,502 |
!Acessando o modo exec user
enable
!Configuração de data/hora
clock set 19:00:00 24 Mar 2017
!Acessar modo de configuração global
configure terminal
!Configuração do nome do equipamento
hostname SW-XXX
!Habilitar o serviço de Criptografia de Senhas Password
service password-encryption
!Desativar a r... | vaamonde/netacad | modulo-03/capitulo-02/Cenario-C/01-Script-switch-basic.sh | Shell | gpl-3.0 | 2,715 |
#!/bin/bash
export QGIS_SERVER_LOG_FILE=/var/log/qgisserver.log
export QGIS_SERVER_LOG_LEVEL=0
export QGIS_PREFIX_PATH=/usr/src/qgis/build/output
exec /usr/bin/spawn-fcgi -n -p 5555 /usr/src/qgis/build/output/bin/qgis_mapserv.fcgi
| rduivenvoorde/QGIS | .ci/ogc/qgis_mapserv.sh | Shell | gpl-2.0 | 233 |
#!/bin/bash
number=$1
method=$2
ss-tunnel -k test -m $method -l 8387 -L 127.0.0.1:8388 -s 127.0.0.1 -p 8389 &
ss_tunnel_pid=$!
ss-server -k test -m $method -s 127.0.0.1 -p 8389 &
ss_server_pid=$!
iperf -s -p 8388 &
iperf_pid=$!
sleep 1
iperf -c 127.0.0.1 -p 8387 -n $number
# Wait for iperf server to receive all d... | Jigsaw-Code/outline-client | third_party/shadowsocks-libev/scripts/iperf.sh | Shell | apache-2.0 | 465 |
#!/bin/bash
# This script tests the high level end-to-end functionality demonstrated
# as part of the examples/sample-app
STARTTIME=$(date +%s)
source "$(dirname "${BASH_SOURCE}")/lib/init.sh"
os::log::info "Starting containerized end-to-end test"
unset KUBECONFIG
os::util::environment::use_sudo
os::cleanup::tmpdir... | tmckayus/oshinko-cli | vendor/github.com/openshift/origin/cmd/service-catalog/go/src/github.com/kubernetes-incubator/service-catalog/hack/test-end-to-end-docker.sh | Shell | apache-2.0 | 2,234 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | combk8s/kubernetes | cluster/aws/templates/format-disks.sh | Shell | apache-2.0 | 7,066 |
#!/bin/bash
pause() {
while true; do
read -p "$1 " yn
case $yn in
[Yy]* ) break;;
[Nn]* ) exit;;
* ) echo "Please answer yes or no.";;
esac
done
}
cd `dirname $0`/..
SOURCE=`pwd`
CUR_VERSION=`node -e 'console.log(require("./package.json").version)... | yoer/hue | tools/ace-editor/tool/release.sh | Shell | apache-2.0 | 2,079 |
# Authors:
# https://github.com/tristola
#
# Docker-compose related zsh aliases
# Aliases ###################################################################
# Use dco as alias for docker-compose, since dc on *nix is 'dc - an arbitrary precision calculator'
# https://www.gnu.org/software/bc/manual/dc-1.05/html_mono/d... | kristiankubik/dotfiles | zsh_plugins/docker-compose/docker-compose.plugin.zsh | Shell | mit | 722 |
bash -ex .travis-opam.sh
## Add more stuff here
| Drup/empty | .travis-ci.sh | Shell | isc | 48 |
export HOMEBREW_NO_ENV_HINTS=true
if type brew &>/dev/null
then
fpath+="$(brew --prefix)/share/zsh/site-functions"
fi
| lburgazzoli/lb-dotfiles | .zshrc.d/199-core-brew.zsh | Shell | mit | 121 |
storm jar target/yu-storm-hack-0.0.1-SNAPSHOT-jar-with-dependencies.jar yu.storm.LocalTestTopology twitter web 3 1 10 1 1 | ZhuangER/social-network-analysi-with-lambda-architecture | storm-wordcount/run.sh | Shell | mit | 121 |
#!/bin/bash
try() {
local DETACH=false
local DISOWN=false
while true; do
case "$1" in
--detach) DETACH=true ;;
--disown) DISOWN=true ;;
*) break ;;
esac
shift
done
printf "$1"
shift
if $DISOWN; then
$@ >/dev/null 2>&1 & disown
elif $DETACH; then
$@ >/dev/... | ammongit/scripts | wip/try.sh | Shell | mit | 484 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2553-2
#
# Security announcement date: 2015-04-01 00:00:00 UTC
# Script generation date: 2017-01-01 21:04:25 UTC
#
# Operating System: Ubuntu 14.10
# Architecture: i686
#
# Vulnerable packages fix on version:
# - libtiff5:4.0.3-10ubuntu0.2
#
# Last versio... | Cyberwatch/cbw-security-fixes | Ubuntu_14.10/i686/2015/USN-2553-2.sh | Shell | mit | 719 |
#!/bin/bash
set -x
: ${ZK_VERSION="3.4.6"}
case $1 in
-travis)
echo "install zk for travis"
wget "http://apache.cs.utah.edu/zookeeper/zookeeper-${ZK_VERSION}/zookeeper-${ZK_VERSION}.tar.gz"
tar -xf "zookeeper-${ZK_VERSION}.tar.gz"
mv zookeeper-${ZK_VERSION} zk
mv ./zk/conf/zoo_sample.cfg ./zk/c... | talbright/go-curator | script/install_zk.sh | Shell | mit | 344 |
# Use `hub` as our git wrapper:
# http://defunkt.github.com/hub/
hub_path=$(which hub)
if (( $+commands[hub] ))
then
alias git=$hub_path
fi
# The rest of my fun git aliases
alias gl='git log'
alias glog="git log --graph --pretty=format:'%Cred%h%Creset %an: %s - %Creset %C(yellow)%d%Creset %Cgreen(%cr)%Creset' --ab... | antico5/dotfiles | git/aliases.zsh | Shell | mit | 625 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-1752-1
#
# Security announcement date: 2013-02-27 00:00:00 UTC
# Script generation date: 2017-02-01 21:01:44 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - libgnutls26:2.12.14-5ubuntu3.2
#
# Las... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2013/USN-1752-1.sh | Shell | mit | 637 |
#!/bin/bash
echo "Compiling..."
echo " "
cd src/
g++ -c main.cpp Particle.cpp -I/Documents/SFML/SFML_SRC/include
echo "Linking..."
echo " "
if [ -e main.cpp~ ] ;
then
rm main.cpp~
fi
mv *.o ../linkers
cd ../linkers
g++ main.o Particle.o -o particle -L/Documents/SFML/SFML_SRC/lib -lsfml-graphics -lsfml-window -... | freddyox/particle-dev | compile.sh | Shell | mit | 510 |
rabbitmq-server -detached -setcookie 'SeansSecretRabbitMqCookie'
sleep 10
rabbitmqctl start_app
sleep 10
/var/MyApp/rabbitmqadmin import /var/MyApp/rabbit_queue_defs.json
/var/MyApp/WorldServer &
/var/MyApp/ElixirMessagingServer
| spoconnor/ElixirMessagingServer | Scripts/start_all.sh | Shell | mit | 233 |
#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
# 96-well source plate
pyTecanFluent LITE --prefix /tmp/LITE_basic_96well \
$DIR/../../tests/data/basic_96well.txt
# # 384-well source plate
# pyTecanFluent map2robot --prefix /tmp/Map2Robot_basic_384well \
# $DIR/../../tests/data/basic_384well... | leylabmpi/pyTecanFluent | examples/LITE/basic.sh | Shell | mit | 728 |
#!/bin/sh
mypath="/usr/local/bin"
snaplist=""
getOlderSnap() {
snaplist=`zfs list -Hr -t snapshot -o name,zbackup:time $1 | grep -v $1/ | grep -v '-' | sort -k 2 | head -n $2`
}
getAllDataset() {
datasets=`zfs list -Hr -t snapshot -o name,zbackup:time | grep -v '-' | awk '{print $1}' | cut -d '@' -f 1 | uni... | iverJisty/zfs-snapshot-manage | zbackup.sh | Shell | mit | 4,730 |
#!/bin/sh
autoreconf -v --force --install || exit $?
[ "$NOCONFIGURE" ] || exec ./configure "$@"
| kitsunyan/appindicator-collection | autogen.sh | Shell | mit | 97 |
#!/bin/bash
# Script for loading sql into pdns database
# script filename
DOM=$1
# postgres container name
CON=consup_postgres_common
# database name
. .config
cat $DOM | docker exec -i $CON gosu postgres psql $DB_NAME
| LeKovr/consup | Dockerfiles/pdns/skel/load.sh | Shell | mit | 224 |
#/bin/sh
sudo add-apt-repository 'deb http://repo.vivaldi.com/archive/deb/ stable main'
wget -qO- http://repo.vivaldi.com/archive/linux_signing_key.pub | sudo apt-key add -
sudo apt update
sudo apt install vivaldi-stable
| locoesso/install | vivaldi-stable.sh | Shell | mit | 222 |
#!/bin/bash
#Give message when starting the container
printf "\n \n \n ------------------------Starting container ------------------------ \n \n \n"
# Configure user nobody to match unRAID's settings
#export DEBIAN_FRONTEND="noninteractive"
usermod -u 99 nobody
usermod -g 100 nobody
usermod -d /home nobody
chown -R n... | mezz64/ConvertEAC3 | start.sh | Shell | mit | 582 |
#!/usr/bin/env bash
CURRENT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
source "$CURRENT_DIR/helpers.sh"
print_git_shortsha() {
local working_dir=$(tmux display-message -p "#{pane_current_path}")
local shortsha=$(cd "$working_dir" && git log -1 --pretty=format:%h)
echo $shortsha
}
main() {
print_gi... | shuber/tmux-git | scripts/shortsha.sh | Shell | mit | 339 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.